/*
 * Book's Story — free and open-source Material You eBook reader.
 * Copyright (C) 2024-2026 Acclorite
 * SPDX-License-Identifier: GPL-3.0-only
 */

@file:Suppress("FunctionName")

package org.dueattendant149.bookshelf.ui.settings.reader

import androidx.compose.foundation.lazy.LazyListScope
import androidx.compose.material3.MaterialTheme
import androidx.compose.runtime.Composable
import androidx.compose.ui.graphics.Color
import org.dueattendant149.bookshelf.ui.settings.reader.chapters.ChaptersSubcategory
import org.dueattendant149.bookshelf.ui.settings.reader.font.FontSubcategory
import org.dueattendant149.bookshelf.ui.settings.reader.images.ImagesSubcategory
import org.dueattendant149.bookshelf.ui.settings.reader.misc.MiscSubcategory
import org.dueattendant149.bookshelf.ui.settings.reader.padding.PaddingSubcategory
import org.dueattendant149.bookshelf.ui.settings.reader.progress.ProgressSubcategory
import org.dueattendant149.bookshelf.ui.settings.reader.reading_mode.ReadingModeSubcategory
import org.dueattendant149.bookshelf.ui.settings.reader.reading_speed.ReadingSpeedSubcategory
import org.dueattendant149.bookshelf.ui.settings.reader.system.SystemSubcategory
import org.dueattendant149.bookshelf.ui.settings.reader.text.TextSubcategory
import org.dueattendant149.bookshelf.ui.settings.reader.translator.TranslatorSubcategory

fun LazyListScope.ReaderSettingsCategory(
    titleColor: @Composable () -> Color = { MaterialTheme.colorScheme.primary }
) {
    FontSubcategory(
        titleColor = titleColor
    )
    TextSubcategory(
        titleColor = titleColor
    )
    ImagesSubcategory(
        titleColor = titleColor
    )
    ChaptersSubcategory(
        titleColor = titleColor
    )
    ReadingModeSubcategory(
        titleColor = titleColor
    )
    PaddingSubcategory(
        titleColor = titleColor
    )
    SystemSubcategory(
        titleColor = titleColor
    )
    ReadingSpeedSubcategory(
        titleColor = titleColor
    )
    ProgressSubcategory(
        titleColor = titleColor
    )
    TranslatorSubcategory(
        titleColor = titleColor
    )
    MiscSubcategory(
        titleColor = titleColor,
        showDivider = false
    )
}